Bug 808444 - Review Request: easymock3 - Easy mock objects
Review Request: easymock3 - Easy mock objects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Kennke
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 790882
  Show dependency treegraph
 
Reported: 2012-03-30 08:00 EDT by Tomas Radej
Modified: 2012-05-29 05:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 04:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rkennke: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Radej 2012-03-30 08:00:13 EDT
Spec URL: http://tradej.fedorapeople.org/reviews/easymock3/4/easymock3.spec
SRPM URL: http://tradej.fedorapeople.org/reviews/easymock3/4/easymock3-3.1-4.fc16.src.rpm
Description: 
EasyMock provides Mock Objects for interfaces in JUnit tests by generating
them on the fly using Java's proxy mechanism. Due to EasyMock's unique style
of recording expectations, most refactorings will not affect the Mock Objects.
So EasyMock is a perfect fit for Test-Driven Development.

*** NOTES ***

- This is a version 3.1 of Easymock, which is incompatible with the versions we currently have in Fedora. I will commence an initiative to rewrite Easymock 1 and 2-dependent projects so that they run with Easymock 3.

- I recommend using the Fedora Review tool - the package fedora-review from rawhide
Comment 1 Tomas Radej 2012-03-30 08:10:04 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3946269
Comment 3 Roman Kennke 2012-04-27 09:29:40 EDT
I'm reviewing it.
Comment 4 Roman Kennke 2012-04-27 10:55:50 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint easymock3-3.1-5.fc18.noarch.rpm

easymock3.noarch: W: spelling-error %description -l en_US refactorings -> factorizes
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint easymock3-javadoc-3.1-5.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint easymock3-3.1-5.fc18.src.rpm

easymock3.src: W: spelling-error %description -l en_US refactorings -> factorizes
easymock3.src: W: invalid-url Source0: easymock3-3.1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[x]: MUST Rpmlint output is silent.

rpmlint easymock3-3.1-5.fc18.noarch.rpm

easymock3.noarch: W: spelling-error %description -l en_US refactorings -> factorizes
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint easymock3-javadoc-3.1-5.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint easymock3-3.1-5.fc18.src.rpm

easymock3.src: W: spelling-error %description -l en_US refactorings -> factorizes
easymock3.src: W: invalid-url Source0: easymock3-3.1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:



Notes:
- The script (or whatever) to generate the source bundle should be included.

Other than that: looks good!
Comment 5 Tomas Radej 2012-05-14 04:19:53 EDT
As I used SVN, I didn't include the script (see http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control ). Thank you for review.

New Package SCM Request
=======================
Package Name: easymock3
Short Description: Easy mock objects
Owners: tradej
Branches: f17
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2012-05-14 08:02:48 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-05-14 11:40:48 EDT
easymock3-3.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/easymock3-3.1-5.fc17
Comment 8 Fedora Update System 2012-05-14 22:32:29 EDT
easymock3-3.1-5.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-05-26 04:06:46 EDT
easymock3-3.1-5.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.